# Technical debt document

This contains a list of stuff we know we can improve or temporary workarounds for bugs or to remain temporary backwards compatible.
This just tracks it so we don't loose it out of sight.
Most of these are marked with `XXX` comments in the code.
So keep up to date if you add or remove such comments

## Temporary backwards compatability

- `upgradeDevice.sh` -> Remove line that uninstalls nginx-full the day that nginx is used again (added as fix for NET0004-2875).
- `services/server-mixins/ping.js`-> Ping server used to run on 8092, but is now merged into pairing server. This should be there until the cloud uses 8090

## Temporary bug fixes

- `device-agent/services/cameras/bridge.js` -> Temporary workaround for cameras that got assigned the same ports in the syncCameras function.
- `src/services/eduProxy.js` -> Temporary workaround by rebooting device if it is stuck in an endless loop when restarting existing deviceAgent.
 
## Improvements

- `device-agent/services/audio/bridge.js` -> Every method that can be called outside of the _onStart phase, should have an isActive check (with early-return if not active) just after every await statement

### General
