const items = {
  audioSinksLatest: [
    {
      id: 'alsa_output.pci-0000_00_1f.3.hdmi-stereo',
      activePort: {
        id: 'hdmi-output-0',
        title: 'HDMI / DisplayPort',
      },
      device: 'Built-in Audio Digital Stereo (HDMI)',
      ports: [
        {
          id: 'hdmi-output-0',
          title: 'HDMI / DisplayPort',
        },
      ],
      defaultVolume: 100,
    },
  ],
  audioSourcesLatest: [
    {
      id: 'alsa_input.usb-046d_HD_Pro_Webcam_C920_B62F772F-02.analog-stereo',
      serial: '046d_HD_Pro_Webcam_C920_B62F772F',
      activePort: {
        id: 'analog-input-mic',
        title: 'Microphone',
      },
      device: 'HD Pro Webcam C920 Analog Stereo',
      ports: [
        {
          id: 'analog-input-mic',
          title: 'Microphone',
        },
      ],
      defaultVolume: 100,
    },
    {
      id: 'alsa_input.pci-0000_00_1f.3.analog-stereo',
      activePort: {
        id: 'analog-input-mic',
        title: 'Microphone',
      },
      device: 'Built-in Audio Analog Stereo',
      ports: [
        {
          id: 'analog-input-mic',
          title: 'Microphone',
        },
      ],
      defaultVolume: 100,
    },
  ],
  audioCardsLatest: [
    {
      id: 'alsa_card.usb-046d_HD_Pro_Webcam_C920_B62F772F-02',
      device: 'HD Pro Webcam C920',
      activeProfile: {
        id: 'input:analog-stereo',
        title: 'Analog Stereo Input',
      },
      profiles: [
        {
          id: 'input:analog-stereo',
          title: 'Analog Stereo Input',
        },
        {
          id: 'input:iec958-stereo',
          title: 'Digital Stereo (IEC958) Input',
        },
        {
          id: 'off',
          title: 'Off',
        },
      ],
    },
    {
      id: 'alsa_card.pci-0000_00_1f.3',
      device: 'Built-in Audio',
      activeProfile: {
        id: 'output:hdmi-stereo+input:analog-stereo',
        title: 'Digital Stereo (HDMI) Output + Analog Stereo Input',
      },
      profiles: [
        {
          id: 'input:analog-stereo',
          title: 'Analog Stereo Input',
        },
        {
          id: 'output:analog-stereo',
          title: 'Analog Stereo Output',
        },
        {
          id: 'output:analog-stereo+input:analog-stereo',
          title: 'Analog Stereo Duplex',
        },
        {
          id: 'output:hdmi-stereo',
          title: 'Digital Stereo (HDMI) Output',
        },
        {
          id: 'output:hdmi-stereo+input:analog-stereo',
          title: 'Digital Stereo (HDMI) Output + Analog Stereo Input',
        },
        {
          id: 'output:hdmi-stereo-extra1',
          title: 'Digital Stereo (HDMI 2) Output',
        },
        {
          id: 'output:hdmi-stereo-extra1+input:analog-stereo',
          title: 'Digital Stereo (HDMI 2) Output + Analog Stereo Input',
        },
        {
          id: 'output:hdmi-surround-extra1',
          title: 'Digital Surround 5.1 (HDMI 2) Output',
        },
        {
          id: 'output:hdmi-surround-extra1+input:analog-stereo',
          title: 'Digital Surround 5.1 (HDMI 2) Output + Analog Stereo Input',
        },
        {
          id: 'output:hdmi-surround71-extra1',
          title: 'Digital Surround 7.1 (HDMI 2) Output',
        },
        {
          id: 'output:hdmi-surround71-extra1+input:analog-stereo',
          title: 'Digital Surround 7.1 (HDMI 2) Output + Analog Stereo Input',
        },
        {
          id: 'output:hdmi-stereo-extra2',
          title: 'Digital Stereo (HDMI 3) Output',
        },
        {
          id: 'output:hdmi-stereo-extra2+input:analog-stereo',
          title: 'Digital Stereo (HDMI 3) Output + Analog Stereo Input',
        },
        {
          id: 'output:hdmi-surround-extra2',
          title: 'Digital Surround 5.1 (HDMI 3) Output',
        },
        {
          id: 'output:hdmi-surround-extra2+input:analog-stereo',
          title: 'Digital Surround 5.1 (HDMI 3) Output + Analog Stereo Input',
        },
        {
          id: 'output:hdmi-surround71-extra2',
          title: 'Digital Surround 7.1 (HDMI 3) Output',
        },
        {
          id: 'output:hdmi-surround71-extra2+input:analog-stereo',
          title: 'Digital Surround 7.1 (HDMI 3) Output + Analog Stereo Input',
        },
        {
          id: 'off',
          title: 'Off',
        },
      ],
    },
  ],
};

export default items;
