import * as mdns from 'mdns-js';

// eslint-disable-next-line import/no-unresolved
import { getMacAddress } from '../utils/network';

const denormalizeMac = mac => mac
  .toLowerCase()
  .split('')
  .reduce((acc, char, index) => ((index % 2 && index < mac.length - 1) ? `${acc + char}:` : acc + char));
export default function startMdnsAd() {
  let mac = getMacAddress();
  const hostname = `nrc-${mac.toLowerCase()}`;
  mac = denormalizeMac(mac);
  const ad = mdns.createAdvertisement(mdns.tcp('workstation'), 8090, {
    name: `${hostname} [${mac}]`,
  });
  ad.start();
}
