/* eslint-env browser */
function getParameterByName(name) {
  name = name.replace(/\[/, '\\[').replace(/]/, '\\]');
  const regex = new RegExp(`[\\?&]${name}=([^&#]*)`);
  const results = regex.exec(window.location.search);
  return results === null
    ? ''
    : decodeURIComponent(results[1].replace(/\+/g, ' '));
}

function setBgImg(img) {
  document.body.style.backgroundImage = `url(${encodeURI(img)})`;
}

const params = ['hostname'];

params.forEach((paramName) => {
  const param = getParameterByName(paramName);
  if (!param) return;
  const elements = document.getElementsByClassName(paramName);
  if (!elements.length) return;

  elements[0].textContent = param;
});

const bg = getParameterByName('bg');
const fallback = getParameterByName('fallback');
if (fallback) {
  document.body.classList.add('disconnected');
} else if (bg) {
  setBgImg(bg);
}
