import { execSync } from 'child_process';

// After a service restart, we sometimes we have some hanging processes from a previous instance
// Let's clean these up first
export default function cleanupOldInstance(logger) {
  try {
    logger.log('info', 'Killing all old rtsp servers, just to be sure');
    execSync('sudo killall barco-edu-rtspserver');
  } catch (error) {
    if (!error.message.includes('no process found')) {
      logger.log('error', 'Error while killing old rtsp servers', error);
    }
  }

  try {
    logger.log('info', 'Killing all old mjpeg and v4l servers, just to be sure');
    execSync('sudo killall gst-launch-1.0');
  } catch (error) {
    if (!error.message.includes('no process found')) {
      logger.log('error', 'Error while killing old mjpeg and v4l servers', error);
    }
  }
}
