import {
  CONFIG_DIR, CONFIG_FILENAME,
} from '../files';
import ConfigManager from '../services/config/manager';
import serviceRegistry from '../services/serviceRegistry';

export default async function createConfigManager() {
  // Set up configuration manager
  const configManager = new ConfigManager({
    dir: CONFIG_DIR,
    file: CONFIG_FILENAME,
    defaultConfig: {},
  });
  await configManager.start();
  serviceRegistry.set('configManager', configManager);

  configManager.watch('logFiles', (logSettings) => {
    if (logSettings) {
      serviceRegistry.get('logger').configure({
        level: logSettings.logLevel,
        maxSize: logSettings.maxSize,
        maxFiles: logSettings.maxFiles,
      });
    }
  });

  return configManager;
}
