import Logger from '../services/logger';
import serviceRegistry from '../services/serviceRegistry';

import {
  LOG_DIR, LOG_FILENAME, SERVICE_FILENAME,
} from '../files';

export default function createLogger() {
  // Set up logging
  const loggerService = new Logger({
    dir: LOG_DIR,
    filename: LOG_FILENAME,
    serviceFilename: SERVICE_FILENAME,
    level: 'debug',
    maxSize: 5242880,
    maxFiles: '14d',
  });
  serviceRegistry.set('logger', loggerService);
  const logger = loggerService.getInstance('MAIN');
  return logger;
}
