import Messenger from '../services/messenger';
import serviceRegistry from '../services/serviceRegistry';
import { readCurrentVersion } from '../utils/version';

export default async function createMessenger(logger, proxyVersion) {
  // Set up messenger service
  const messenger = new Messenger();
  await messenger.start();

  // set identifying info in messenger
  messenger.identify({
    'version-system': readCurrentVersion(logger),
    'version-proxy': proxyVersion,
  });
  serviceRegistry.set('messenger', messenger);
  return messenger;
}
