import PairingToolServer from '../services/pairingToolServer';

export default function createPairingServer(logger) {
  // Set up pairing service
  logger.log('info', 'Creating http server');
  const httpServer = new PairingToolServer();
  // If HTTP server can't start this usually means another instance of edu proxy is running
  // Which is using the port.
  // We want to avoid starting 2 instances.
  // We could exit, but we want to avoid systemd deciding to put us on inactive after X amount of tries
  // We could also kill the other instance, but it's likely doing an upgrade if we reach this situation
  // However, with our current systemd configuration file none of these problems should ever occur,
  // But better to play it safe + as a safety from when we upgrade from older devices where these problems could occur
  return httpServer.start({ retryTimer: 1000 });
}
