import * as isDev from 'electron-is-dev';

// Sets different node/electron/chrome flags depending on the environment
export default function setFlags(logger) {
  if (isDev) {
    process.env.NODE_TLS_REJECT_UNAUTHORIZED = 0;
  }

  if (process.env.DISABLE_HARDWARE_ACCELERATION) {
    logger.log(
      'warn',
      'Environment variable DISABLE_HARDWARE_ACCELERATION is set, hardware acceleration has been disabled.',
    );
  }

  if (process.env.DISABLE_BROWSER_MONITOR) {
    logger.log('warn', 'Environment variable DISABLE_BROWSER_MONITOR is set, browser window will not reload if crashed.');
  }

  if (process.env.BROWSER_DEBUG) {
    logger.log('warn', 'Environment variable BROWSER_DEBUG is set, all browsers will be started in debug mode.');
  }
}
