import { hostname as getHostname } from 'os';
import { serviceRegistry } from '../services/serviceRegistry';
import { waitForNetwork, getIpAddress, getMacAddress } from '../utils/network';

// Awaits for IP from DHCP and sets the network info to the messenger
export default async function setNetworkInfo(logger) {
  const messenger = serviceRegistry.get('messenger');
  const networkMessage = messenger.show({
    text: 'waiting for network connection',
  });
  await waitForNetwork(messenger, logger);
  networkMessage.hide();
  messenger.identify({
    ip: getIpAddress(),
    mac: getMacAddress(),
    hostname: getHostname(),
  });
}
