import DBusObject from './object';
import introspect from './introspect';

class DBusService {
  constructor(name, bus) {
    this.name = name;
    this.bus = bus;
  }

  async getObject(name) {
    const obj = new DBusObject(name, this);
    const ifaces = await introspect(obj);
    obj.proxy = ifaces;
    return obj;
  }

  async getInterface(objName, ifaceName) {
    const obj = await this.getObject(objName);
    return obj.as(ifaceName);
  }
}

export default DBusService;
