/*
eslint no-underscore-dangle: "off"
*/

import MeteorCacheManager from '../../../services/ddp/meteorCacheManager';
import { audioSinkRole } from '../../../services/ddp/constants';

/**
 * Extends the Meteor cache with some helper functions
 */
class PaMeteorCacheManager extends MeteorCacheManager {
  findPaSource(source) {
    return this._bridge._device.audioSources.find(s => s.id === source.id);
  }

  findPaSink(sink) {
    return this._bridge._device.audioSinks.find(s => s.id === sink.id);
  }

  findPaCard(card) {
    return this._bridge._device.audioCards.find(s => s.id === card.id);
  }

  findPaSourceConfig(source) {
    return this._bridge._device.audioSourceConfig.find(s => s.id === source.id);
  }

  findPaSinkConfig(sink) {
    return this._bridge._device.audioSinkConfig.find(s => s.id === sink.id);
  }

  findLocalPaSinks() {
    return this._bridge._device.audioSinkConfig.filter(s => s.role === audioSinkRole.LOCAL_MIX);
  }

  findRemotePaSinks() {
    return this._bridge._device.audioSinkConfig.filter(s => s.role === audioSinkRole.REMOTE_MIX);
  }

  isLocalSource(source) {
    return source && source.origin && source.origin.device && source.origin.device._id === this._bridge._device._id;
  }

  isRemoteSource(source) {
    return !this.isLocalSource(source);
  }

  findPaStream(stream) {
    if (!stream) return undefined;
    const name = stream.id.split('_');
    if (name[0] === 'BLUE') {
      return this._data.sources[name[1]];
    }
    return this._data.$arrays.sources.find(source => source.origin && source.origin.cinergyId === stream.id);
  }
}

export default PaMeteorCacheManager;
