import MeteorService from '../singleDeviceMeteorService';
import serviceRegistry from '../../services/serviceRegistry';

/**
 * Purple manages multiple behaviors and services of the device.
 * For each of these behaviors there is an abstract service.
 * This abstract service works without any knowledge of Meteor.
 *
 * The Bridge binds Meteor to the Service.
 * A bridge will typically manage an abstract service by receiving service notifications and pushing them to blue
 * Or by receiving blue notifications and passing them to the abstract service.
 * This allows to later migrate (some) services from Meteor to another system if this would be necessary
 */
class ServiceBridge extends MeteorService {
  get isServiceRequired() {
    return serviceRegistry.get('eduProxy').isActive;
  }
}

export default ServiceBridge;
