/**
 * (C) 2015 Copyright BARCO NV
 * All rights reserved. Reproduction in whole or in part is
 * prohibited without the written consent of the copyright owner.
 *
 * Part of Barco WeConnect
 */
// import udev from '@barco/udev';
import DisplayService from './service';

const udev = null;

/**
 * Display service based on udev monitoring
 * WARNING: Apparently this doesn't work reliable on the NRC-200 (with discrete GPU)
 */
class uDevDisplayService extends DisplayService {
  _onStart() {
    const trigger = () => {
      this._log('verbose', 'Received screen event from udev');
      this.emit('displaysChanged');
    };
    this._monitor = udev.monitor('drm');
    this._monitor.on('add', trigger);
    this._monitor.on('remove', trigger);
    this._monitor.on('change', trigger);
    return super._onStart();
  }

  _onStop() {
    this._monitor.removeAllListeners();
    this._monitor.close();
    delete this._monitor;
    return super._onStop();
  }
}

export default uDevDisplayService;
