import Stream from './stream';

/**
 * Audio stream
 */
class AudioStream extends Stream {
  constructor({
    path, pulseClientName,
  }) {
    super({
      id: path,
      unsetXdgRuntimeDir: false,
    });
    this.path = path;
    this.pulseClientName = pulseClientName;
    this._log('info', `Creating audio stream for path ${path}`);
  }

  get command() {
    return 'gst-launch-1.0';
  }

  get streamType() {
    return 'Audio';
  }

  get args() {
    const args = `filesrc location=${this.path} ! mpegaudioparse ! mpg123audiodec ! audioconvert ! audioresample ! pulsesink client-name=${this.pulseClientName}`;
    return args;
  }

  equals(stream) {
    return stream instanceof AudioStream
      && this.path === stream.path
      && this.pulseClientName === stream.pulseClientName;
  }
}

export default AudioStream;
