import RTSPStream from './rtspStream';

/**
 * RTSP stream from shared memory
 */
class RTSPShmStream extends RTSPStream {
  constructor({
    width,
    height,
    framerate,
    ...options
  } = {}) {
    options.params = `-v video/x-raw,framerate=${framerate.denominator}/${framerate.numerator},width=${width},height=${height},format=I420,pixel-aspect-ratio=1/1,interlace-mode=progressive`;
    super(options);
  }

  get streamType() {
    return 'RTSPShm';
  }
}

export default RTSPShmStream;
