import getGstDebugEnv from '../utils/getGstDebugEnv';
import { SpawningService } from '../../../services/spawningService';

/**
 * Abstract class for a Stream
 * Deals with the commonalities between different stream types.
 * E.g. setting up the process and keeping it alive.
 */
class Stream extends SpawningService {
  constructor({ unsetXdgRuntimeDir = true, ...args } = {}) {
    super(args);

    this._unsetXdgRuntimeDir = unsetXdgRuntimeDir;
  }

  get streamType() {
    return '';
  }

  get env() {
    const env = {
      ...getGstDebugEnv(this.streamType),
      ...process.env,
    };
    if (this._unsetXdgRuntimeDir) {
      delete env.XDG_RUNTIME_DIR;
    }
    return env;
  }
}

export default Stream;
