import { exec } from 'child_process';
import { promisify } from 'util';

// 0x3200004 "ICGPUCompositor": ("ICGPUCompositor" "ICGPUCompositor")  160x160+0+0  +0+0
// 0x3200023 "ICGPUCompositor": ("ICGPUCompositor" "ICGPUCompositor")  1680x1050+0+0  +0+31

function _runXWinInfo() {
  return promisify(exec)('DISPLAY=:0.0 xwininfo -tree -root');
}

async function getCinergyWindowId() {
  const { stdout } = await _runXWinInfo();
  const lines = stdout.split('\n');
  let result = 0;
  lines.forEach((line) => {
    const match = line.match(/^\s*(0x\S+) "ICGPUCompositor"[^\d]+((\d+)x(\d+))/);
    if (match) {
      const id = Number.parseInt(match[1], 16);
      const width = Number.parseInt(match[3], 10);
      const height = Number.parseInt(match[4], 10);
      if (width >= 640 && height >= 480) {
        result = id;
      }
    }
  });
  return result;
}

export default getCinergyWindowId;
export { getCinergyWindowId };
