import * as path from 'path';

const formatDate = (date) => {
  const datePart = `${date.getFullYear()}-${String(date.getMonth() + 1).padStart(2, '0')}-${String(date.getDate()).padStart(2, '0')}`;
  const timePart = `${String(date.getHours()).padStart(2, '0')}${String(date.getMinutes()).padStart(2, '0')}${String(date.getSeconds()).padStart(2, '0')}${String(date.getMilliseconds()).padStart(2, '0')}`;
  return `${datePart}_${timePart}`;
};

const getGstDebugEnv = (gstType) => (process.env.GST_DEBUG ? {
  GST_DEBUG: process.env.GST_DEBUG,
  GST_DEBUG_FILE: path.join('/tmp', `gst_${gstType}_${formatDate(new Date())}.log`),
} : {});

export default getGstDebugEnv;
