import * as path from 'path';

import platform from './utils/platform';

const PROGRAM_DIR = path.join(__dirname, '..', 'src');
const ROOT_DIR = path.join(PROGRAM_DIR, '..');
const CWD = process.cwd();
const SCRIPTS_DIR = path.join(ROOT_DIR, 'scripts');
const AUDIO_SAMPLES_DIR = path.join(ROOT_DIR, 'resources/audioSamples');
const RESOURCES_DIR = path.join(CWD, 'resources');

const CONFIG_DIR = platform.isWin
  ? path.join(process.cwd(), '..')
  : process.env.CONFIG_DIR || '/etc/edu_proxy/config';

const CONFIG_FILENAME = 'edu_proxy.json';
const CONFIG_FILE = path.join(CONFIG_DIR, CONFIG_FILENAME);

const LOG_DIR = platform.isWin ? path.join(process.cwd(), '..') : '/var/log/edu_proxy';
const LOG_FILENAME = 'edu_proxy';
const SERVICE_FILENAME = 'service_edu_proxy';
const SEEN_JWT_FILE = path.join(LOG_DIR, 'jwt_tokens');
const CLEANUP_UNUSED_PACKAGES_LOG_FILENAME = 'deviceCleanup.log';
const UPGRADE_LOG_BASENAME = 'deviceUpgrade';

const NRC_VERSION_FILE = '/etc/nrc_version';
const VERSION_FILE = path.join(CONFIG_DIR, 'version');

const SHARED_MEMORY_DIR = '/tmp/cinergy';

export {
  CONFIG_DIR,
  CONFIG_FILENAME,
  CONFIG_FILE,
  PROGRAM_DIR,
  ROOT_DIR,
  SCRIPTS_DIR,
  RESOURCES_DIR,
  NRC_VERSION_FILE,
  VERSION_FILE,
  LOG_DIR,
  LOG_FILENAME,
  SERVICE_FILENAME,
  SEEN_JWT_FILE,
  CLEANUP_UNUSED_PACKAGES_LOG_FILENAME,
  UPGRADE_LOG_BASENAME,
  SHARED_MEMORY_DIR,
  AUDIO_SAMPLES_DIR,
};
