/*
eslint-disable
*/

import ConfigManager from './services/config/manager';
import ConfigUpgrader from './services/config/upgrader';

import ConnectionMonitor from './services/connectionMonitor';
import DDPConnectionMonitor from './services/ddp/DDPConnectionMonitor.js';

import EduProxy from './services/eduProxy';
import Messenger from './services/messenger';
import ProcessMonitor from './services/processMonitor';
import PairingToolServer from './services/pairingToolServer';
import SystemVersionMonitor from './services/upgrades/systemVersionMonitor';
import PreviewServer from './services/previews/server';
import PreviewHandler from './services/previews/handler';
import { StreamingPreviewProvider, StaticPreviewProvider } from './services/previews/provider';
import MeteorClient from './services/ddp/meteorClient';
import DeviceAgent from './device-agent/agent';
import AudioBridge from './device-agent/services/audio/bridge';
import AudioService from './device-agent/services/audio/service';
import BrowserBridge from './device-agent/services/browser/bridge';
import CameraBridge from './device-agent/services/cameras/bridge';
import CameraService from './device-agent/services/cameras/service';
import V4LCameraCache from './device-agent/services/cameras/v4lCacheManager';
import CinergyBridge from './device-agent/services/cinergy/bridge';
import AuthBridge from './device-agent/services/cinergy/authBridge';
import PreviewBridge from './device-agent/services/cinergy/previewBridge';
import StreamingBridge from './device-agent/services/streaming/streamingBridge';
import CinergyService from './device-agent/services/cinergy/service';
import DisplayBridge from './device-agent/services/displays/bridge';
import X11DisplayService from './device-agent/services/displays/x11Service';
import UDevDisplayService from './device-agent/services/displays/udevService';
import HealthBridge from './device-agent/services/health/bridge';
import HealthService from './device-agent/services/health/service';
import IdentifyBridge from './device-agent/services/identify/bridge';
import RebooterBridge from './device-agent/services/rebooter/bridge';
import RebooterService from './device-agent/services/rebooter/service';
import RecordingBridge from './device-agent/services/recording/bridge';
import FluentbitBridge from './device-agent/services/fluentbit/bridge';
import RecordingService from './device-agent/services/recording/ubicastService';
import UpgradeBridge from './device-agent/services/upgrade/bridge';
import MjpegStream from './device-agent/services/streaming/mjpegStream';
import RtspStream from './device-agent/services/streaming/rtspStream';
import RtspShmStream from './device-agent/services/streaming/rtspShmStream';
import RtspScreenStream from './device-agent/services/streaming/rtspScreenStream';
import V4lScreenStream from './device-agent/services/streaming/v4lScreenStream';
import V4lShmStream from './device-agent/services/streaming/v4lShmStream';

import CngCacheManager from './device-agent/services/cinergy/cngCacheManager';
import TeleportBridge from './device-agent/services/teleport/bridge';
import TimeBridge from './device-agent/services/time/bridge';
import NTPTimeBridge from './device-agent/services/time/bridge-ntp';
import TimesyncdTimeBridge from './device-agent/services/time/bridge-timesyncd';
import UnpairBridge from './device-agent/services/unpair/bridge';

import MeteorCacheManager from './services/ddp/meteorCacheManager';
import CngMeteorCacheManager from './device-agent/services/cinergy/meteorCacheManager';
import PaMeteorCacheManager from './device-agent/services/audio/meteorCacheManager';
import PaCacheManager from './device-agent/services/audio/paCacheManager';
import ProcessManager from './services/processManager';
import SnapshotProvider from './services/snapshots/provider';
import BrowserConnectionMonitor from './utils/browser/browserConnectionMonitor.js';
import SpeechToText from './utils/speech-to-text/SpeechToTextStream';

const services = [
  // ConfigManager,
  // ConfigUpgrader,
  // ConnectionMonitor,
  // DDPConnectionMonitor,
  // EduProxy,
  // Messenger,
  // AuthBridge,
  // ProcessMonitor,
  // SystemVersionMonitor,
  // TeleportBridge,
  // PairingToolServer,
  // PreviewServer,
  // PreviewHandler,
  // StreamingPreviewProvider,
  // StaticPreviewProvider,
  // SnapshotProvider,
  // MeteorClient,
  // MeteorCacheManager,
  // DeviceAgent,
  // AudioBridge,
  // AudioService,
  // PaMeteorCacheManager,
  // PaCacheManager,
  // BrowserBridge,
  // CameraBridge,
  // CameraService,
  // CinergyBridge,
  // CinergyService,
  // CngCacheManager,
  // CngMeteorCacheManager,
  // PreviewBridge,
  // StreamingBridge,
  // ProcessManager,
  // DisplayBridge,
  // UDevDisplayService,
  // X11DisplayService,
  // IdentifyBridge,
  // RebooterBridge,
  // RebooterService,
  // RecordingBridge,
  // RecordingService,
  // TimeBridge,
  // NTPTimeBridge,
  // TimesyncdTimeBridge,
  // UpgradeBridge,
  // MjpegStream,
  // RtspStream,
  // RtspShmStream,
  // RtspScreenStream,
  // V4lScreenStream,
  // V4lShmStream,
  // V4LCameraCache,
  // BrowserConnectionMonitor,
  // UnpairBridge,
  // SpeechToText,
  // HealthBridge,
  // HealthService,
  // FluentbitBridge,
];

export default services.map(service => typeof service === 'string' ? service : service.prototype.serviceName);
