/*
eslint no-console: "off", global-require: "off"
*/

import { app } from 'electron';
import * as isDev from 'electron-is-dev';

if (process.env.DISABLE_HARDWARE_ACCELERATION) {
  app.disableHardwareAcceleration();
} else {
  app.commandLine.appendSwitch('ignore-gpu-blacklist');
  app.commandLine.appendSwitch('enable-accelerated-video');
  app.commandLine.appendSwitch('enable-gpu-rasterization');
  app.commandLine.appendSwitch('enable-native-gpu-memory-buffers');
  app.commandLine.appendSwitch('enable-zero-copy');
  if (process.env.DISABLE_GPU_WORKAROUNDS) {
    app.commandLine.appendSwitch('disable-gpu-driver-bug-workarounds');
  }
}

app.commandLine.appendSwitch('allow-legacy-extension-manifests');

if (isDev) {
  process.env.NODE_TLS_REJECT_UNAUTHORIZED = '0';
  app.commandLine.appendSwitch('ignore-certificate-errors');
}

app.commandLine.appendSwitch('ssl-version-fallback-min', 'tls1.2');

// Workaround for https://github.com/electron/electron/issues/12697
app.commandLine.appendSwitch('autoplay-policy', 'no-user-gesture-required');

// without this nill event handler, the main process exits when all browser windows are closed
app.on('window-all-closed', () => {});

app.once('ready', async () => {
  // PERA: Commented loading of the meteor DevTools extension as it fails on manifest
  //       Uncomment again when meteor has a fix for this.
  //       import { app, session } from 'electron';
  //       import * as path from 'path';
  // if (isDev) {
  //   await session.defaultSession.loadExtension(path.join(__dirname, '..', 'tools', 'ippapidnnboiophakmmhkdlchoccbgje', '1.6.0_0'));
  //   // await session.defaultSession.loadExtension(path.join(__dirname, '..', 'tools', 'ibniinmoafhgbifjojidlagmggecmpgf', '1.4_0'));
  // }
  // Start the app
  require('./app');
});
