export default {
  version: '1.1.0-RC0',
  upgrade(config) {
    config.previewServer = {
      port: config.general.thumbnailPort,
      useHostname: !!config.general.useHostnameForThumbnails,
    };

    if (!config.pairingServer) {
      config.pairingServer = {
        port: 8090,
      };
    }

    if (!config.device) {
      config.device = {};
    }

    if (config.mac) {
      config.device.mac = config.mac;
      delete config.mac;
    }

    if (config.general && config.general.proxyIPAddress) {
      config.device.publicIp = config.general.proxyIPAddress;
      delete config.general.proxyIPAddress;
    }

    if (config.Meteor && config.Meteor.hasOwnProperty('proxy')) {
      config.device.proxy = config.Meteor.proxy;
      delete config.Meteor.proxy;
    }

    delete config.general.thumbnailPort;
    delete config.general.thumbnailNumberOfPixels;
    delete config.general.connectToMeteor;
    delete config.general.eduProxyEnabled;

    config.Meteor.credentials.instituteId = 'ROOT';
    config.meteor = config.Meteor;
    delete config.Meteor;

    return config;
  },
};
