import Server from './server';
import MessengerMixin from './messengerMixin';
import IdentifyMixin from './server-mixins/identify';
import NetworkTestMixin from './server-mixins/networkTest';
import PingMixin from './server-mixins/ping';
import PairingMixin from './server-mixins/pairing';

/**
 * Modular HTTP sever with certain utilities for BPT etc
 */

class PairingToolServer extends Server {
  constructor({
    port = 8090,
  } = {}) {
    super({ port });
  }

  get mixins() {
    return [
      ...super.mixins,
      MessengerMixin,
      IdentifyMixin,
      NetworkTestMixin,
      PingMixin,
      PairingMixin,
    ];
  }
}

export default PairingToolServer;
