class ServiceMixin {
  constructor(service) {
    this._service = service;
  }

  // Init is called right after the constructor is finished
  init() {}

  _log(lvl, msg, ...params) {
    if (this._service) {
      msg = `(Mixin ${this.constructor.name}): ${msg}`;
      this._service._log(lvl, msg, ...params); // eslint-disable-line
    }
  }

  log(...params) {
    return this._log(...params);
  }

  start() {}

  stop() {}

  destroy() {
    delete this._service;
  }
}

export default ServiceMixin;
