export default function showMessageOnWindows({
  windows, message, context, showProgress,
}) {
  const messages = windows.map((window) => {
    if (showProgress === true) {
      window.startProgress();
    } else if (showProgress === false) {
      window.stopProgress();
    }

    if (context) {
      window.setContext(context);
    }
    return window.showMessage(message);
  });
  return Object.assign(Promise.all(messages), {
    hide() {
      messages.forEach(m => m.hide());
    },
  });
}
