/*
 Global variables _will_ escape the preload script,
 except for globals injected by Node,
 like `require`—-those will be deleted after the script is done executing.
*/
import { ipcRenderer } from 'electron';
import { getCurrentWindow } from '@electron/remote';
import { getCinergyWindowId } from '../../device-agent/services/utils/getCinergyWindowid';
import { isWMRunning } from '../../device-agent/services/utils/isWMRunning';
import { startSpeechToText, stopSpeechToText, speechToTextAPIVersion } from '../speech-to-text/ipcRenderer';
import './heartbeat';

window.PDD = {
  getScreenSources: (opts) => ipcRenderer.invoke('DESKTOP_CAPTURER_GET_SOURCES', opts),
  getCinergyWindowId,
  isWMRunning,
  speechToTextAPIVersion,
  startSpeechToText,
  stopSpeechToText,
  ...getCurrentWindow().data,
};
