import * as childProcess from 'child_process';
import * as pify from 'pify';

const exec = pify(childProcess.exec);

// Get the type of hardware we are running on
function getHWCommand() {
  return exec('sudo dmidecode -t baseboard | grep "Product"');
}

async function getHardwareType() {
  const hardwareType = await getHWCommand();
  const tmp = hardwareType.match(/\s*Product Name: (?<type>(\S*))/);
  return (tmp && tmp[1]) || 'unknown';
}

export default getHardwareType;
export { getHardwareType };
