import { ipcRenderer } from 'electron';
import { CAPTION_API_VERSION } from './constants';
import channelId from './channelId';

const speechToTextAPIVersion = CAPTION_API_VERSION.V3;

async function startSpeechToText({
  clientConfig,
  recordingConfig,
  sessionConfig,
  type,
}, callback) {
  const id = await ipcRenderer.invoke('create-speech-to-text', {
    clientConfig,
    recordingConfig,
    sessionConfig,
    type,
  });
  ipcRenderer.on(channelId(id), (sender, ...args) => callback(...args));
  return id;
}

function stopSpeechToText(id) {
  ipcRenderer.removeAllListeners(channelId(id));
  ipcRenderer.invoke('stop-speech-to-text', id);
}

export {
  speechToTextAPIVersion,
  startSpeechToText,
  stopSpeechToText,
};
