import Logger from '../src/services/logger';
import serviceRegistry from '../src/services/serviceRegistry';
import AudioService from '../src/device-agent/services/audio/service';

function start() {
  const loggerService = new Logger({
    dir: __dirname,
    filename: 'edu_proxy.log',
    level: 'debug',
    maxSize: 5000,
    maxFiles: 5,
  });

  serviceRegistry.set('logger', loggerService);
  async function execute() {
    try {
      const audio = new AudioService();
      await audio.start();
      const sinks = await audio.getSources();
      console.log(JSON.stringify(sinks));
    } catch (error) {
      console.log(error.stack);
    }
  }
  return execute();
}

start();
