import Logger from '../src/services/logger';
import serviceRegistry from '../src/services/serviceRegistry';
import CameraService from '../src/device-agent/services/cameras/service';

const loggerService = new Logger({
  dir: __dirname,
  filename: 'edu_proxy.log',
  level: 'debug',
  maxSize: 5000,
  maxFiles: 5,
});

serviceRegistry.set('logger', loggerService);

const cameraService = new CameraService();
cameraService.start();
cameraService._getUsbCameras().then((cameras) => { console.log(cameras); });
