import Logger from '../src/services/logger';
import serviceRegistry from '../src/services/serviceRegistry';
import DisplayService from '../src/device-agent/services/displays/x11Service';

const loggerService = new Logger({
  dir: __dirname,
  filename: 'edu_proxy.log',
  level: 'debug',
  maxSize: 5000,
  maxFiles: 5,
});

serviceRegistry.set('logger', loggerService);

const displayService = new DisplayService();

displayService.getDisplayInformation().then((screens) => {
  console.log(JSON.stringify(screens.filter(display => display.connected)));
});
