import Logger from '../src/services/logger';
import serviceRegistry from '../src/services/serviceRegistry';
import Messenger from '../src/services/messenger';

const loggerService = new Logger({
  dir: __dirname,
  filename: 'edu_proxy.log',
  level: 'debug',
  maxSize: 5000,
  maxFiles: 5,
});

serviceRegistry.set('logger', loggerService);

const messenger = new Messenger();

messenger.show({ message: 'test', time: 10 });
