/*
eslint-disable no-console
*/
const fs = require('fs');
const path = require('path');
const { execSync } = require('child_process');

const rootDir = path.join(__dirname, '..');
const scriptDir = path.join(rootDir, 'src');
const eslintBin = path.join(rootDir, 'node_modules', '.bin', 'eslint');

console.log('Linting changed files');
if (!fs.existsSync(eslintBin)) {
  console.log('Installing linter dependencies');
  execSync('npm install', { cwd: scriptDir, stdio: 'inherit' });
}

let filesToLint;
try {
  filesToLint = execSync('git diff --cached --name-only --diff-filter=ACM | grep \'.js$\'');
} catch (error) {
  filesToLint = '';
}

filesToLint = filesToLint.toString().split('\n').filter(f => !!f);
// console.log(filesToLint);

if (filesToLint.length) {
  try {
    execSync(`node ${eslintBin} --fix -c "${rootDir}/.eslintrc" ${filesToLint.join(' ')}`, { stdio: 'inherit' });
  } catch (error) {
    process.exit(1);
  }
}
